> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an event type

> Returns a specific event type by ID.



## OpenAPI

````yaml GET /projects/{project_id}/event_types/{event_type_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/event_types/{event_type_id}:
    get:
      summary: Retrieve an event type
      description: Returns a specific event type by ID.
      operationId: retrieve-event-type
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: event_type_id
          in: path
          schema:
            type: integer
          required: true
          description: Event type ID
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    slug: feedstock-delivery
                    name: Feedstock Delivery
                    created_at: '2025-02-03T14:19:11.787Z'
                    updated_at: '2025-02-03T14:19:11.787Z'
                    data_point_types:
                      - slug: feedstock-delivery-mass
                        name: Mass of Feedstock Delivery
                        value_type: number
                        unit: U.S. ton
                    requires_locations: true
                    requires_feedstock: false
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  slug:
                    type: string
                  name:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  data_point_types:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                        name:
                          type: string
                        value_type:
                          type: string
                        unit:
                          type: string
                          nullable: true
                  requires_locations:
                    type: boolean
                  requires_feedstock:
                    type: boolean
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````